import { RenderTask } from '../../pdfjs';
import { Page } from '../page';
import { LayerBuilder } from './layer-builder';
export declare class ZoomLayerBuilder extends LayerBuilder {
    private _viewportMap;
    get viewportMap(): WeakMap<HTMLCanvasElement, import('pdfjs-dist/types/src/display/display_utils').PageViewport>;
    setPage(page: Page): void;
    canKeep(keep?: boolean): boolean;
    canCancel(_keep?: boolean): boolean;
    hide(): void;
    update(): void;
    render(): Promise<void>;
    finish(renderTask: RenderTask): void;
    private reset;
}
